#
#Author: Edward Muller (edwardam@home.com edwardam@handhelds.org)
#Licnese: BSD (http://www.opensource.org/licenses/bsd-license.html)
#Date: 01/21/2001
#Program: hostname.py
#Version: 0.03
#
name = "Name"
desc = "Set System's Hostname"
glade_file = 'hostname.glade'

from gtk import *
from GTK import *

from utils import *

class applet(Applet):
    def __init__(self,glade_file):
        import string

        try:
            f = open('/etc/hostname','r')
            hostname = string.strip(f.read())
            f.close()
        except:
            hostname = ''

        Applet.__init__(self,glade_file)
            
        self.widgets['hostname'].set_text(hostname)

    def save(self,msgbox=FALSE):
        import os
        hostname = self.widgets['hostname'].get_text()
        ret = os.system('/bin/hostname %s' % hostname)
        if ret == 0:
            msg = 'System Name Set!'
        else:
            msg = 'System Name Not Set! Error!'
        try:
            f = open('/etc/hostname','w')
            f.write('%s\n' % hostname)
            f.close()
        except:
            pass
        
        ret = Applet.save(self,msgbox)
        
applet_instance = applet(glade_file)
