#
#Author: Edward Muller (edwardam@home.com edwardam@handhelds.org)
#Licnese: BSD (http://www.opensource.org/licenses/bsd-license.html)
#Date: 01/21/2001
#Program: ssh.py
#Version: 0.03
#
name = "SSH"
desc = "SSH Setup"

from gtk import *
from GTK import *

from utils import *

class applet(Applet):

    
    def __init__(self):
        Applet.__init__(self)
        self.box = GtkVBox()
        self.add(self.box)
        self.box.show()

        lbl = GtkLabel('Date')
        self.box.pack_start(lbl,expand=FALSE)
        lbl.show()

        self.cal = GtkCalendar()
        self.box.pack_start(self.cal,expand=FALSE)
        self.cal.show()

        lbl = GtkLabel('Time')
        self.box.pack_start(lbl,expand=FALSE)
        lbl.show()

        hb = GtkHBox()
        adj = GtkAdjustment(4,0,23,1,1,1)
        self.hour = GtkSpinButton(adj,1,0)
        lbl=GtkLabel('Hour:')
        hb.pack_start(lbl,expand=FALSE)
        lbl.show()
        hb.pack_end(self.hour,expand=FALSE)
        self.hour.show()
        self.box.pack_start(hb,expand=FALSE)
        hb.show()

        hb = GtkHBox()
        adj = GtkAdjustment(5,0,59,1,1,1)
        self.min = GtkSpinButton(adj,1,0)
        lbl=GtkLabel('Minute:')
        hb.pack_start(lbl,expand=FALSE)
        lbl.show()
        hb.pack_end(self.min,expand=FALSE)
        self.min.show()
        self.box.pack_start(hb,expand=FALSE)
        hb.show()

        hb = GtkHBox()
        adj = GtkAdjustment(6,0,59,1,1,1)
        self.sec = GtkSpinButton(adj,1,0)
        lbl=GtkLabel('Second:')
        hb.pack_start(lbl,expand=FALSE)
        lbl.show()
        hb.pack_end(self.sec,expand=FALSE)
        self.sec.show()
        self.box.pack_start(hb,expand=FALSE)
        hb.show()

    def save(self,msgbox=FALSE):
        ret = Applet.save(self,msgbox)
                
applet_instance = applet()
